POST /api/v3/flag/flagType

Creates a new user-defined flag type

CreateFlagTypeV3 Permissions: FlaggedItems (View)
Use this endpoint to create a custom flag type for categorizing flags. The flag type name must be unique.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

FlagTypeCreate
Property Description Type
flagTypeInfo The name of the flag type being created Required Must be between 1 and 32 characters string
Example Request Body application/json
{  "flagTypeInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

FlagTypeChild
Property Description Type
flagTypeId The flag type identifier integer (int32)
flagTypeInfo Flag type information string
Example Response application/json
{  "flagTypeId": 1,  "flagTypeInfo": "string"
}